Name:           easyeffects
Version:        7.2.4
Release:        %mkrel 1
Summary:        Audio equalizer, filters and effects for pipewire applications
License:        GPLv3
Group:          Sound/Mixers
Url:            https://github.com/wwmm/easyeffects
Source0:        https://github.com/wwmm/easyeffects/archive/v%{version}/easyeffects-%{version}.tar.gz

BuildRequires:  appstream-util
BuildRequires:  boost-devel >= 1.72
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  ladspa-devel
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtkmm-4.0)
BuildRequires:  pkgconfig(glibmm-2.68)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.12
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  pkgconfig(tbb)
BuildRequires:  zita-convolver-devel >= 3.1.0

Requires:       gstreamer1.0-ladspa >= 1.12
Requires:       gstreamer1.0-plugins-good >= 1.12
Requires:       ladspa-plugins-swh >= 0.4
Requires:       lv2-calf-plugins >= 0.90.0

Recommends:     mda-lv2
Recommends:     ladspa-zam-plugins
Recommends:     lv2-zam-plugins
Recommends:     rubberband
Recommends:     zam-plugins
Recommends:     lsp-plugins

%description
Limiters, compressor, reverberation, high-pass filter, low pass filter,
equalizer many more effects for PipeWire applications.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/easyeffects
%{_datadir}/applications/com.github.wwmm.easyeffects.desktop
%{_datadir}/glib-2.0/schemas/com.github.wwmm.easyeffects*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.wwmm.easyeffects*.svg
%{_metainfodir}/com.github.wwmm.easyeffects.metainfo.xml
%{_datadir}/dbus-1/services/com.github.wwmm.easyeffects.service


%changelog
* Thu Jul 17 2025 barjac <barjac> 7.2.4-1.mga10
+ Revision: 2256705
- new version 7.2.4

* Tue Jul 01 2025 umeabot <umeabot> 7.2.3-2.mga10
+ Revision: 2234940
- Mageia 10 Mass Rebuild

* Wed Jan 29 2025 barjac <barjac> 7.2.3-1.mga10
+ Revision: 2143177
- new version 7.2.3

* Sun Nov 24 2024 barjac <barjac> 7.2.1-1.mga10
+ Revision: 2118784
- new version 7.2.1

* Wed Oct 02 2024 daviddavid <daviddavid> 7.1.9-2.mga10
+ Revision: 2102448
- rebuild for new fmt 11.0.2

* Sat Sep 28 2024 barjac <barjac> 7.1.9-1.mga10
+ Revision: 2101655
- new version 7.1.9

* Mon Aug 26 2024 barjac <barjac> 7.1.8-1.mga10
+ Revision: 2091429
- new version 7.1.8

* Sat Jul 06 2024 barjac <barjac> 7.1.7-1.mga10
+ Revision: 2080053
- new version 7.1.7

* Tue Apr 09 2024 barjac <barjac> 7.1.6-1.mga10
+ Revision: 2056054
- new version 7.1.6

* Sun Jan 28 2024 daviddavid <daviddavid> 7.1.3-2.mga10
+ Revision: 2035680
- rebuild for tbb 2021.11.0

* Mon Jan 22 2024 barjac <barjac> 7.1.3-1.mga10
+ Revision: 2033478
- new version 7.1.3
- new BR ladspa-devel

* Mon Sep 25 2023 tv <tv> 7.1.0-1.mga10
+ Revision: 1990881
- Update to 7.1.0

* Sun Jan 29 2023 wally <wally> 7.0.0-3.mga9
+ Revision: 1936763
- don't own hicolor icon theme dirs

* Thu Dec 29 2022 daviddavid <daviddavid> 7.0.0-2.mga9
+ Revision: 1927502
- rebuild for new gsl 2.7.1

* Thu Nov 17 2022 tv <tv> 7.0.0-1.mga9
+ Revision: 1908505
- Update to 7.0.0

* Wed Oct 12 2022 papoteur <papoteur> 6.3.0-2.mga9
+ Revision: 1896388
- Rebuild for fmt 9

* Fri Sep 09 2022 barjac <barjac> 6.3.0-1.mga9
+ Revision: 1886142
- new version 6.3.0

* Tue Aug 02 2022 barjac <barjac> 6.2.8-1.mga9
+ Revision: 1874314
- new version 6.2.8
  update files list

* Sat Jul 23 2022 barjac <barjac> 6.2.7-1.mga9
+ Revision: 1870459
- new version 6.2.7

* Wed Jun 29 2022 tv <tv> 6.2.6-1.mga9
+ Revision: 1866547
- Update to 6.2.6

* Tue May 03 2022 barjac <barjac> 6.2.5-1.mga9
+ Revision: 1855665
- new version 6.2.5
- Also recommend lsp-plugins for aarch64 build

* Tue Mar 15 2022 barjac <barjac> 6.2.4-1.mga9
+ Revision: 1791809
- new package easyeffects

